Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ati-drivers-8.41.7
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Wed Sep 12, 2007 6:48 pm    Post subject: ati-drivers-8.41.7 Reply with quote

ati-drivers-8.41.7 are out, and here https://bugs.gentoo.org/show_bug.cgi?id=191374 how to modify the old ebuild. btw, LOT of promises for this release and.. it is even worse than the 8.40crappy one :( (ati mobility x1400 here)
first nice new bug
Code:
 glxgears
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
Segmentation fault
Back to top
View user's profile Send private message
loki_val
Retired Dev
Retired Dev


Joined: 13 Nov 2006
Posts: 408
Location: Denmark

PostPosted: Wed Sep 12, 2007 7:15 pm    Post subject: Reply with quote

Please read the release announcement:
Quote:
Caution: The AMD Proprietary Linux driver version 8.41.7 is not recommended for the ATI Mobility and Integrated Products. Using this driver on any of the following products may result in stability issues. AMD recommends using the AMD Proprietary Linux software driver version 8.40.4.
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Wed Sep 12, 2007 7:18 pm    Post subject: Reply with quote

I did it days ago. but test shown on phoronix talked about GREAT performance improvement for r500 chips
Back to top
View user's profile Send private message
loki_val
Retired Dev
Retired Dev


Joined: 13 Nov 2006
Posts: 408
Location: Denmark

PostPosted: Wed Sep 12, 2007 8:09 pm    Post subject: Reply with quote

Yes, well... My point is you can't fault the driver for not working with the mobility chips when the release announcement states that "The AMD Proprietary Linux driver version 8.41.7 is not recommended for the ATI Mobility and Integrated Products".
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Wed Sep 12, 2007 8:17 pm    Post subject: Reply with quote

I only report my user experience: despite the announcements, this release sucks
Back to top
View user's profile Send private message
rmh3093
Advocate
Advocate


Joined: 06 Aug 2003
Posts: 2138
Location: Albany, NY

PostPosted: Wed Sep 12, 2007 11:05 pm    Post subject: Reply with quote

Works fine for me here on my X1600 Mobile
_________________
Do not meddle in the affairs of wizards, for they are subtle and quick to anger.
Back to top
View user's profile Send private message
ilm2
n00b
n00b


Joined: 18 Dec 2006
Posts: 35

PostPosted: Thu Sep 13, 2007 7:01 am    Post subject: Reply with quote

On my 9600Pro (R300?) it works fine, no problems installing. Much faster than the previous one.

Couldn't play level '2' of Quake4 (the convoy) as the fps dropped to like 10 fps, with this new driver it is way smoother (i guess > 30 fps).
Only problem i encountered was not being unable to change display settings in game. Changing gamma crashes it (quake4 and etf). amdccc works fine though.
Back to top
View user's profile Send private message
sinder
n00b
n00b


Joined: 13 Dec 2004
Posts: 6
Location: Taiwan

PostPosted: Thu Sep 13, 2007 9:09 am    Post subject: Reply with quote

Please note that the fglrx_dri.so is just a ASCII English text file only !!
Code:

localhost # file /usr/lib/dri/fglrx_dri.so: ASCII English text

Code:

localhost # cat /usr/lib/dri/fglrx_dri.so
This is a dummy file to satisfy the installer and packaging
scripts. The real fglrx_dri.so is coming back soon.
Back to top
View user's profile Send private message
K T A
Apprentice
Apprentice


Joined: 25 Feb 2005
Posts: 210
Location: Europe

PostPosted: Thu Sep 13, 2007 10:50 am    Post subject: Reply with quote

OMG I can't believe this! 8O The driver works fine with my Xpress 200M! Nothing sefaults, games run way faster - I can play the doom3 demo for the first time... :D
Back to top
View user's profile Send private message
golian
n00b
n00b


Joined: 18 Sep 2004
Posts: 24
Location: Europe, Poland

PostPosted: Thu Sep 13, 2007 1:05 pm    Post subject: Reply with quote

Hi,
Yes 8.41 is fast my test:

glxgears
8.40 - 3200fps
8.41 - 4800fps

fgl_fglrxgears
8.40 - 500fps
8.41 - 980fps :D

My card is x1300pro. But still not work tvtime :( - "xvoutput: No XVIDEO port found which supports YUY2 images."
_________________
Gentoo Linux
AMD Athlon64 X2 AM2 3800+ 35W, MSI K9N Neo-F,
2GB RAM 800MHz GOODRAM, GIGABYTE ATI X1300PRO SILENT PIPE II,
Seagate 250 GB, CD-RW Liteon, Chieftec HPC-360-202 DF,
AUDIGY 2, KENWOOD 5.1, SAMSUNG SyncMaster 713N
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Thu Sep 13, 2007 1:13 pm    Post subject: Reply with quote

did you run your test with compiz? glxgears here was at 4300 fps with 8.40, with 8.41 only 2200fps :( (x1400)
Back to top
View user's profile Send private message
Phlogiston
Veteran
Veteran


Joined: 27 Jan 2004
Posts: 1925
Location: Europe, Swizerland

PostPosted: Thu Sep 13, 2007 1:22 pm    Post subject: Reply with quote

Yes this driver finally rocks. Should be 10 times faster (X300) but I don't know how to mesure that, I don't have a game or something 8)

/edit: when I clock my card down to 80MHZ, googleearth is still usable! That rocks on a laptop :D
_________________
Workstation: 5.1 SurroundSound, LIRC remote control; Laptop [IBM-T43]: patched sources, s2disk/ram, fingerprint sensor
Back to top
View user's profile Send private message
Evincar
Apprentice
Apprentice


Joined: 13 Feb 2007
Posts: 217
Location: Madrid

PostPosted: Thu Sep 13, 2007 1:54 pm    Post subject: Reply with quote

Experiences seem to vary wildly among users. I have a X1400 Mobile, and I certainly see a big improvement in 3D, plus no more screen/cursor corruption (so far, jeje). 2D performance is still the same pathetic level, I think. I don't even dare to suspend in X.

As I said in another thread,
if this is all-->Too little, too late
if this is the beginning of development for a new driver--> The sun will shine in our future.
_________________
<@Chin^> My sister caught me jacking off the other week and calls me a pervert
<@Chin^> just the other day i walked into my room and caught my sister masturbating
<@Chin^> So she calls me a pervert again?!?
<@Chin^> there is no justice in the world...
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Thu Sep 13, 2007 2:04 pm    Post subject: Reply with quote

I read about other gcc-4.2 users complaining. Im going to compile and older gcc and retry with it..
Back to top
View user's profile Send private message
Phlogiston
Veteran
Veteran


Joined: 27 Jan 2004
Posts: 1925
Location: Europe, Swizerland

PostPosted: Fri Sep 14, 2007 9:14 am    Post subject: Reply with quote

Anyone can use standby (suspend to ram) when fglrx is loaded?
_________________
Workstation: 5.1 SurroundSound, LIRC remote control; Laptop [IBM-T43]: patched sources, s2disk/ram, fingerprint sensor
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Sep 14, 2007 11:05 am    Post subject: Reply with quote

compiles / works fine here with gcc 4.2.1 (hardened),

unfortunately I couldn't look up to it's improved performance (some weird xcb error), but at least battery runtime sky-rocketed up again to 5 hours (from 2 hours), the previous driver releases caused the laptop to wake up 30-50.000 times per second :lol:

so new ati-drivers & longer / long battery runtime ftw 8)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Fri Sep 14, 2007 12:02 pm    Post subject: Reply with quote

Im not lucky, again half performance also with gcc 4.1.2. so I have to stick to 8.40 :(
Back to top
View user's profile Send private message
mulicheng
n00b
n00b


Joined: 03 Jun 2003
Posts: 11

PostPosted: Fri Sep 14, 2007 5:44 pm    Post subject: Ati 8.41.7 Reply with quote

peteralf wrote:
Yes, well... My point is you can't fault the driver for not working with the mobility chips when the release announcement states that "The AMD Proprietary Linux driver version 8.41.7 is not recommended for the ATI Mobility and Integrated Products".


I agree that you can't complain about the driver not working since they clearly state it isn't for mobility cards. I however don't have a mobility card..

Quote:
lspci output
02:00.0 VGA compatible controller: ATI Technologies Inc RV350 AP [Radeon 9600]
02:00.1 Display controller: ATI Technologies Inc RV350 AP [Radeon 9600] (Secondary)


I'm running Xgl and have the same Xorg.conf that I had with the 8.40.x driver. I get the same message about no Xfree86-DRI and the seg fault as in the original post. I haven't solved this yet, but I'm thinking that even though the 8.41.7 driver doesn't support AIGLX yet, it should still be able to run Xgl. Xgl runs fine for me, I get wobbly windows, a rotating cube and all that, I just can't run programs that require OpenGL. Also, glxinfo seg faults with the same message.

I found another post on the internet that related the problem to prelink. I ran "prelink -u -a" just to be sure, but it didn't change anything.

Anyone have any thoughts? I'm excited for 8.42 so I can ditch Xgl and go straight Aiglx but hey, I wouldn't use Gentoo if I didn't want to update to the latest thing every day :)

-D
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Fri Sep 14, 2007 5:53 pm    Post subject: Reply with quote

@mulicheng: as I said I DON'T complain. I only report my user experience: half performance. for segfaults, use DISPLAY=:93 (and maybe tell me your fps, I'd like to look at your performance)
edit: ah, btw, switching compiler back to 4.1.2 didnt solve it, now Im trying an almost-surely-useless emerge -e world, coz I dunno anymore what to try (yes, Ive been trying *everything* :( )
Back to top
View user's profile Send private message
mulicheng
n00b
n00b


Joined: 03 Jun 2003
Posts: 11

PostPosted: Fri Sep 14, 2007 6:09 pm    Post subject: Reply with quote

My beryl benchmarks say between 28 and 35 fps while just running normal programs and moving windows around.

The DISPLAY=:93 doesn't work for me. The program doesn't seg fault but it doesn't run either. It doesn't do anything so I press cntl-c and kill it.

I thought about updating to Xorg-7.3 but I had heard somewhere that xorg-server-1.4 has issues with this latest driver.

-D
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Fri Sep 14, 2007 6:16 pm    Post subject: Reply with quote

xorg-server 1.4 breaks ABI..we have to wait for that, is 8.42 planned to be compatible with xorg-7.3?
Back to top
View user's profile Send private message
aephoenix
n00b
n00b


Joined: 01 Nov 2006
Posts: 18
Location: Bowdoin College

PostPosted: Fri Sep 14, 2007 7:25 pm    Post subject: Reply with quote

So.. this new, marvelous 8.41.7 release isn't supposed to work with my Mobility Radeon x1400? What is that supposed to mean? Will 8.42 work with it? Or are they telling me that my less-than-a-year-old laptop is already not worth their support?

It works far less than flawless but I'd like to hope that it was just my install that was screwed up; I couldn't run glxgears or another GL application in my XGL.. and fgl_fglxgears just gave me a rotating white cube..

Is their mobility line going to be supported on 8.42? Does anyone know?
Back to top
View user's profile Send private message
Dottout
l33t
l33t


Joined: 07 Mar 2006
Posts: 882

PostPosted: Fri Sep 14, 2007 7:30 pm    Post subject: Reply with quote

I suggest you to try. Some x1400 users are really happy, others like me have problems.. 8.42 should be for everyone. so, try and post your feedback ;)
Back to top
View user's profile Send private message
aephoenix
n00b
n00b


Joined: 01 Nov 2006
Posts: 18
Location: Bowdoin College

PostPosted: Fri Sep 14, 2007 9:10 pm    Post subject: Reply with quote

Well.. I consider not being able to log out of my KDE session without locking up either my computer or X (I forget which it did, but it was annoying..) as a total failure for me..
I also had fgl_fglxgears give me a white rotating cube (in a regular X session, not XGL) and some glitches in Nexuiz (one level was completely invisible, and there were some holes in the world where it was apparent that there should have been something else).. either way the Monitor out not having GL support (and xVideo support?) thing turned me off anyway. For the most part I think XGL/Beryl worked fine, but I only tried the driver for a total of about two hours before I gave in and switched back..

To install the driver I copied the 8.40.4 driver ebuild and put it in an overlay as 8.41.7.. there was some epatch problem so I commented that out and the emerge worked.
Did I do something wrong? Is there an ebuild on the bugzilla or where ever pre-portage ebuilds are found? If there is I would gladly try that to see if there is any success there.

Is the "should be for everyone" you mentioned wishful thinking or from the mouth of the beast herself? I sure hope so, because I was over-excited for the 8.41 and 8.42 (especially because of AIGLX support!) and this setback has me kind of upset and just somewhat disappointed..

edit: oops, the top of the post is to the bugzilla thinger.. yeah I think that's what I did actually.. i didn't check if i had r/w access to card0 but i know I do now.. but maybe that was the issue? but it seems other people got the same fgl_fglxgears issues as me.. whatever, 8.40 is decent.. even though it's not by any means great..


Last edited by aephoenix on Fri Sep 14, 2007 9:23 pm; edited 1 time in total
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Sep 14, 2007 9:15 pm    Post subject: Reply with quote

everybody without R600 chipsets & problems:

calm down please :wink:

ati / amd expressly has noted that this drivers are only for r600, >=8.42.* shall fix issues with other hardware and add aiglx support

so:

- if it works for ya: luck
- if it doesn't tough luck, drink tea and wait until next month :roll:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2, 3  Next
Page 1 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum